Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87946 - No numlock option
Summary: No numlock option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-keyboard
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 22:17 UTC by Need Real Name
Modified: 2010-04-30 07:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-17 20:15:25 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-04-03 22:17:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
I can't configure Red Hat linux to start with numlock enabled.

How reproducible:
Always

Additional info:
With numlock disabled by default, I get two sets of arrow keys - the arrow arrow
keys, and the number/arrow arrow keys.

Comment 1 Brent Fox 2003-04-03 22:28:17 UTC
Most bioses allow you to select whether the machine should boot with numlock on
or off.  I don't want to clutter the UI with items like this.

Comment 2 Need Real Name 2003-04-06 18:46:33 UTC
My BIOS is set to start my machine with the numlock on.

Numlock gets turned off before it reaches the init.d scripts.

It would be nice if the OS honoured the BIOS setting.
Shall I refile?

Comment 3 Brent Fox 2003-05-27 21:17:08 UTC
I believe that the kernel is resetting the Numlock setting.  I would recommend
that you file a new bug against the kernel.  My guess is that the kernel people
will resist changing the current behavior.  Closing as 'notabug' for
redhat-config-keyboard.  Thanks for your report.

Comment 4 Need Real Name 2003-07-01 19:53:56 UTC
I filed a kernel bug (bug 91765). It is a kernel issue, but it raises a bigger
point:

"..In addition it gets more complicated once people start hotplugging USB
keyboards.."
 -- Alan Cox

I can't think of a better place that in redhat-config-keyboard, to allow users
to configure how their keyboard is setup.

If a user attaches a USB keyboard to the system, shouldn't the keyboard start
with user-predefined settings?


Comment 5 Stuart Blake Tener 2003-07-24 15:41:05 UTC
This actually is an issue for me as well. I own a Gateway G6-350, and as well as
some several other machines (some older boxes like the G6). One problem seems to
be that some of these older BIOS versions do not offer the ability to turn off a
NUMLOCK switch in the BIOS.

Thus, when I boot up with my IBM Model "M" keyboard (Part number 1395217, made I
think on 04-04-90), then it seems have the keyboard in "NUMLOCK On" mode. Thus I
try to type "linux rescue vga=792", and instead of getting linux, I get "34N5X"!

The simple solution (in my view) for this would be to have the install CD go and
turn numlock off in its initialization procedure, so that when the "Linux:" boot
prompt from the CD-ROM appears, you can type "linux" and not "34n5x". Then there
could be a kernel parameter (such as "NUMLOCK={ON|OFF}" to use once installed on
the hard drive.

I do not know if this is an issue strictly with RedHat (as that is the only real
Linux distribution I use), but it maybe true of SuSE or others too, not sure.


Thanks,

Stuart
Beverly Hills, CA


Comment 6 Brent Fox 2003-10-17 20:15:25 UTC
Sorry, redhat-config-keyboard is for selecting the geographic keymap.  That's
all.  I'm not going to expand the scope of the tool beyond that.  

Keep in mind that the redhat-config-keyboard interface is also used by anaconda
during the initial system install.  It just doesn't make sense to ask users
anything other than what type of keyboard they have (U.S., French, German, etc.)

Comment 7 Martin Cermak 2010-04-30 07:43:11 UTC
You can easilly work this around by adding something like

INITTY=/dev/tty[1-8]
for tty in $INITTY; do
 setleds -D +num < $tty
done

to eg. /etc/rc.sysinit or create upstart job.


Note You need to log in before you can comment on or make changes to this bug.